summaryrefslogtreecommitdiff
path: root/src/update.sh
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2012-10-13 15:50:34 +0200
committerChristian Pointner <equinox@spreadspace.org>2012-10-13 15:50:34 +0200
commit0d5e46ea593b48a92f8a800d2ef633a6e8858c7b (patch)
tree00f46ffce906a98f8a449fc61636a43adfac7403 /src/update.sh
parentdeployment and start, stop, restart work now (diff)
admin account can now be configured in json file
some bugfixes video encoder now use 8 threads
Diffstat (limited to 'src/update.sh')
-rwxr-xr-xsrc/update.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/src/update.sh b/src/update.sh
new file mode 100755
index 0000000..ca4f028
--- /dev/null
+++ b/src/update.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# flufigut
+#
+# flufigut, the flumotion configuration utility, is a simple tool
+# that generates flumotion configuration files using pyhton jinja2
+# template engine and simplejson. flufigut generates planet.xml
+# and worker.xml files from configuration templates and an easy to
+# understand representation of the flow structure written in json.
+#
+#
+# Copyright (C) 2012 Christian Pointner <equinox@spreadspace.org>
+# Michael Gebetsroither <michael@mgeb.org>
+#
+# This file is part of flufigut.
+#
+# flufigut is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# any later version.
+#
+# flufigut is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with flufigut. If not, see <http://www.gnu.org/licenses/>.
+#
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <config file>"
+ exit 1
+fi
+
+TEMPLATES="example"
+
+./manage.sh stop
+./flufigut.py "$TEMPLATES" $1
+./manage.sh deploy
+./manage.sh start
+
+exit 0